// Classe qui gre un dgrad de couleurs.
// Auteur : Jrme Conus

// Le dgrad est cr en spcifiant des couleurs cls sur un intervalle compris
// entre 0 et 1.
// Il est ensuite possible de demander n'importe quelle couleur sur toute
// l'tendue de l'intervalle. La couleur est obtenue par interpolation linaire.

#ifndef COLORGRADIENT_H
#define COLORGRADIENT_H

#include <QColor>
#include <QMap>

class ColorGradient
{
public:
    ColorGradient();

    void clear();
    void setKey(float Position, const QColor& rColor);

    QColor colorAt(float Position) const;

private:
    QMap<float, QColor> m_ColorGradient;
};

#endif // GRADIENT_H
